Bug 230132 - xpvm crashes at start up
xpvm crashes at start up
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pvm (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 14:51 EST by Dmitri A. Sergatskov
Modified: 2008-07-23 03:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.4.5-11.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 03:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dmitri A. Sergatskov 2007-02-26 14:51:51 EST
Description of problem:
xpvm crashes with ".alloc: invalid block: " error
(Another bug is that xpvm points to /usr/share/pvm3/bin/LINUXX86_64
while all files are installed in /usr/share/pvm3/bin/LINUX64
Fixed that first by making a symlink)

Version-Release number of selected component (if applicable):

pvm-gui-3.4.5-7.fc6.1
How reproducible:
100%

Steps to Reproduce:

1. In  usr/share/pvm3/bin make a symlink LINUXX86_64 -> LINUX64/
2. run xpvm
3.
  
Actual results:

[dima@tdpc627 scilab-4.1]$ xpvm 
New PVMD started... XPVM 1.2.5 connected as TID=0x40001.
No Default Hostfile "/home/dima/.xpvm_hosts" Found.
[globs.tcl][procs.tcl][util.tcl]
Initializing XPVM......alloc: invalid block: 0x9a9220: 54 0 99

/usr/bin/xpvm: line 12: 18852 Aborted                
$PVM_ROOT/bin/$PVM_ARCH/xpvm "$@"

Expected results:
xpvm runs

Additional info:

This is on Intel (CoreDuo) cpu (rather than on the AMD64):
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Xeon(R) CPU            5130  @ 2.00GHz
stepping        : 6
cpu MHz         : 1995.004
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall lm constant_tsc
pni monitor ds_cpl vmx tm2 ssse3 cx16 xtpr dca lahf_lm
bogomips        : 3992.96
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
(rest deleted)
Comment 1 Steve 2008-03-22 23:54:45 EDT
This problem also occurs in 32-bit Fedora 8.  I have isolated the problem to the
version of the tcl library.  If I downgrade to tcl-8.4.9-3 (which came with
Fedora Core 4), XPVM works fine.
Comment 2 Bug Zapper 2008-04-04 02:22:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Steve 2008-04-04 02:30:37 EDT
As noted by myself earlier, I have verified that the bug still exists in Fedora
8 (and can be fixed by downgrading tcl), so it would be a good idea to update
the version here.
Comment 4 John Poelstra 2008-04-04 17:45:50 EDT
thanks for the update!
Comment 5 Doug Ledford 2008-06-24 13:55:24 EDT
As far as I know, pvm just needs rebuilt against the current tcl.tk versions in
order to resolve this.  I'm preparing to rebuild with a couple minor fixes to
take care of this issue.
Comment 6 Fedora Update System 2008-06-24 15:00:58 EDT
pvm-3.4.5-11.fc8 has been submitted as an update for Fedora 8
Comment 7 Doug Ledford 2008-06-24 15:02:25 EDT
If you could please test whether or not the updated packages solve your problem
are report that back I would appreciate it.
Comment 8 Fedora Update System 2008-06-26 04:33:53 EDT
pvm-3.4.5-11.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5738
Comment 9 Fedora Update System 2008-07-23 03:12:21 EDT
pvm-3.4.5-11.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.